<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="Customer_Rewards" class="tab_content">
	<h3>Noodlemans Customer Reward Plugin</h3>
	<p>Allow customers to earn loyalty points which can be used to discount future orders</h3></p>

	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
	</fieldset>
	
	<fieldset>
		<legend>Enable / Disable Plugin</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>
	
	{$GENERAL_TAB_SETTINGS}
	
	<div class="form_control">
		<input type="submit" name="save" value="{$LANG.common.save}" />
	</div>

	<br/>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$PLUGIN_MESSAGES}
	</fieldset>

  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />	
	
  </div>
  
  
  <div id="install_guide" class="tab_content">
		<h3>Install Guide</h3>
		<p>This plugin does require some minor modifications to your store core files, the steps to comeplete are outlined below. Should you want this plugin installed for you an <a href="http://www.noodleman.co.uk/install-service-we-install-for-you.html">Install Service</a> is available.</p>
		<p>This install guide has been written for version 5.2.14 of CubeCart, if you are installing in another version the line numbers referenced may be slightly different. If there is any doubt open a support ticket for assistance.</p>
		<p>Support is available from <A HREF="HTTP://www.noodleman.co.uk/support">http://www.noodleman.co.uk/support</a></p>
		<p>If you update your store to a new version you will need to review the steps in this install guide as some of the changes you have made previously may need to be reapplied.</p>
		
		<ol>
			
		<li><b>Edit cubecart.class.php</b><p>Open the file &quot;classes/cubecart.class.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 537 FIND:
		
<textarea style="width:100%; height:100px;">
if (isset($_POST['update'])) {
	$GLOBALS['cart']->update();
	if (isset($_POST['coupon']) && !empty($_POST['coupon'])) {
		$GLOBALS['cart']->discountAdd($_POST['coupon']);
	}
</textarea>
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.cubecart.rewards') as $hook) include $hook;
</textarea>
		</li>		

		<br/><br/>

		<li><b>Edit cart.class.php</b><p>Open the file &quot;classes/cart.class.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 576 FIND:
<textarea style="width:100%; height:100px;">
			$GLOBALS['gui']->setError($GLOBALS['language']->checkout['error_voucher_none']);
		}
	}
	return false;
}
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:75px;">
public function discountusingPoints($code) {		
	foreach ($GLOBALS['hooks']->load('class.cart.discount_points') as $hook) include $hook;
}
</textarea>	
		</li>		

		<br/><br/>

		
		<li><b>Edit customers.index.inc.php</b><p>Open the file &quot;admin/sources/customers.index.inc.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 303 FIND:
<textarea style="width:100%; height:35px;">
$GLOBALS['main']->addTabControl($lang['customer']['title_address'], 'address');
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:25px;">
$GLOBALS['main']->addTabControl('Reward Points', 'Rewards');
</textarea>


		<br/><br/>AROUND LINE NUMBER 314 FIND:
<textarea style="width:100%; height:35px;">
$GLOBALS['gui']->addBreadcrumb(sprintf('%s %s', $customer['first_name'], $customer['last_name']), currentPage(array('address_id')));
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:35px;">
foreach ($GLOBALS['hooks']->load('admin.customer.noodle.edit') as $hook) include $hook;
</textarea>
</li>
		
<br/><br/>
<li><b>Edit order.class.php</b><p>Open the file &quot;classes/order.class.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 418 FIND:
<textarea style="width:100%; height:85px;">
$this->_basket['order_status']	= constant('ORDER_PENDING');
foreach ($GLOBALS['hooks']->load('class.order.place_order.basket') as $hook) include $hook;
// Insert/Update the order summary
$this->_orderSummary($update, $force_order);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.order.place_order.postbasket') as $hook) include $hook;	
</textarea>			
		</li>		
		
<br/><br/>


		<li><b>Edit orders.index.inc.php</b><p>Open the file &quot;admin/sources/orders.index.inc.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 144 FIND:
<textarea style="width:100%; height:45px;">
//$order->orderStatus($_POST['order']['status'], $order_id, true);
$order->orderStatus($_POST['order']['status'], $order_id);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:35px;">
foreach ($GLOBALS['hooks']->load('admin.order.index.post_process_discount') as $hook) include $hook;
</textarea>	
		</li>

		
		
		
		<br/><br/>
		<li><b>Edit customers.index.php</b><p>Open the file &quot;admin/skins/default/templates/customers.index.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 136 FIND:
<textarea style="width:100%; height:55px;">
  </fieldset>
</div>
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:70px;">
<div id="Rewards" class="tab_content">
	{literal}{$REWARD_POINTS_INFO}{/literal}
</div>
</textarea>	
		</li>			
		
		
		
		<br/><br/>
		<li><b>Edit content.product.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.product.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the Kurouto skin, you may need to adjust the placement depending on your skin design. Use this as an example if you are unsure or contact support for assistance.</i></u>
		<br/>AROUND LINE NUMBER 113 FIND:
<textarea style="width:100%; height:70px;">
<div id="product_description">
  {literal}{$PRODUCT.description}{/literal}
<p><strong>{literal}{$LANG.catalogue.product_code}</strong>: {$PRODUCT.product_code}{/literal}</p>
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:55px;">
{literal}<p><strong>Earn Reward Points:</strong> {$REWARDPOINTS}</p>
<p><strong>Earn Discount:</strong> {$REWARDPOINTSVALUE}</p>{/literal}
</textarea>			
		</li>		
		
		
		
		
		
		<br/><br/>
		<li><b>Edit content.checkout.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.checkout.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the Kurouto skin, you may need to adjust the placement depending on your skin design. Use this as an example if you are unsure or contact support for assistance.</i></u>
		<br/>AROUND LINE NUMBER 65 FIND:
<textarea style="width:100%; height:70px;">
<div id="product_description">
	<div class="discounts">
  	  <span class="code_input"><label for="coupon" class="return">{literal}{$LANG.basket.coupon_add}{/literal}</label><input name="coupon" id="coupon" type="text" class="textbox" maxlength="25" /></span>
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:70px;">
{literal}{if $IS_USER} 
	{$CUSTOMER_REWARD_OPTIONS}
{/if}{/literal}
</textarea>			
		</li>			
		
		
		
		
		<br/><br/>
		<li><b>Edit content.category.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.category.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the Kurouto skin, you may need to adjust the placement depending on your skin design. Use this as an example if you are unsure or contact support for assistance if needed. This step allows the text that appears when hovering over a thumbnail in the category list view to be modified</i></u>
		<br/>AROUND LINE NUMBER 45 FIND:
<textarea style="width:100%; height:25px;">
{literal}<a href="{$product.url}" title="{$product.name}" class="image">{/literal}
</textarea>	
REPLACE WITH:
<textarea style="width:100%; height:25px;">
{literal}<a href="{$product.url}" title="{if isset($product.points_name)}{$product.points_name}{else}{$product.name}{/if}" class="image">{/literal}
</textarea>			
		</li>			
		
		
		
		<li><b>Enable the plugin</b><p>Enable the &quot;Customer Rewards&quot; plugin and press the &quot;SAVE&quot; button.</p></li>		
		
		<li><b>Configure the plugin</b><p>Configure the settings as you require. </p></li>		
		
		<li><b>Refresh System Hooks</b><p>Go to &quot;Settings -> Manage Hooks -> Customer Rewards&quot; then press the  &quot;SAVE&quot; button.</p></li>				
	

		
			
		</ol>
		
		
  </div>
  
  {$MODULE_ZONES}
</form>






